Delete samples
curl --request POST \
--url https://api.friendli.ai/beta/dataset/{dataset_id}/split/{split_id}/sample/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
"<string>"
]'{
"sampleIds": [
"<string>"
]
}Dataset
Delete samples
Delete specific data samples from a Friendli dataset split via the API. Remove individual entries by sample ID from your training or evaluation data.
POST
/
beta
/
dataset
/
{dataset_id}
/
split
/
{split_id}
/
sample
/
delete
Delete samples
curl --request POST \
--url https://api.friendli.ai/beta/dataset/{dataset_id}/split/{split_id}/sample/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
"<string>"
]'{
"sampleIds": [
"<string>"
]
}Delete samples. To request successfully, it is required to enter a Personal API Key (e.g. flp_XXX) in the Bearer Token field. Refer to the authentication section on our introduction page to learn more and visit here to generate your API Key.Documentation Index
Fetch the complete documentation index at: https://friendli.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
This API is currently in Beta.
While we strive to provide a stable and reliable experience, this feature is still under active development.
As a result, you may encounter unexpected behavior or limitations.
We encourage you to provide feedback to help us improve the feature before its official release.
Authorizations
Headers
ID of team to run requests as (optional parameter).
Body
application/json
Response
Successful Response
Delete samples response.
List of sample IDs that were deleted from the dataset.
Last modified on April 29, 2026
⌘I